Subject: bug#61882: emacs-next-pgtk does not find emacs-org-roam, other path issues

From: Csepp <[email-masked]>
Date: Sun, 08 Oct 2023 16:29:36 +0200

Maxim Cournoyer <[email-masked]> writes:

> tags 61882 +notabug
> quit

I don't think notabug applies until we actually know the root cause.

> Hello,
>
> Csepp <[email-masked]> writes:
>
>> (Jump forward a bit, this is a bit stream-of-consciousness-y, I
>> wrote
>> things down as I was debugging things. TLDR: profile got corrupted
>> somehow, it's not related to the packages themselves.)
>>
>> Certain packages like flatpak do not get installed in my main user
>> profile for some unknown reason.
>> So far they are:
>> * gallery-dl
>> * flatpak
>> * emacs-org-roam
>>
>> It has been happening for at least a month across several pulls.
>>
>> If I export a manifest and load it in either guix shell -m or guix
>> package -m to a different profile, bin/flatpak exists, if I do guix
>> package -m without a profile argument or with the profile set to the
>> default user profile, bin/flatpak is missing.
>>
>> The packages that are broken are always the same.
>>
>> If I create a manifest with only the broken packages, guix package
>> -I
>> reports exactly those packages, but when I look in
>> ~/.guix-profile/bin
>> it still has a bunch of other packages in it.
>>
>> So it seems the profile is frozen?  I have no idea how this could
>> happen.
>>
>> guix package --list-generations reports three generations, but there
>> is
>> only one generation in my home directory, called
>> .guix-profile-1-link.
>>
>> There is also a .guix-profile.lock, maybe that's related?
>> I see no lock for the other profile with the same manifest.
>>
>> Removed the lock, tried guix package -m again, still don't have
>> flatpak,
>> still only one generation symlink.
>>
>> Deleted all the symlinks, ran guix package -m, now it works.
>>
>> I'm gonna hold off on running the GC for a few days, if anyone has
>> an
>> idea of where the bug is and wants me to upload some files, I can do
>> it
>> until then.
>> For my own reference, this is the store item of the broken profile:
>> /gnu/store/0w3jxl95cchxn14zph3lmnqwmijf8971-profile
>
> Did you have any corruption at the FS level or something equally bad?
> Were you using a different Guix in between the 'guix package -m'
> attempts?  If the profile was in the cache, it wouldn't rebuild it,
> and you'd be stuck with your broken version.
>
> I'm closing this, as I we don't have much to push the
> investigation further, but if you have a more precise idea of what
> happened and ways to reproduce that do reopen.

I'm pretty sure I already went through these, but once again, to be sure:
- no there was no file system corruption as far as I could tell
- store was checked for corruption multiple times
- the issue persisted through multiple guix pulls
- only one profile was affected